<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.gas.mapper.GasMonitorDataMapper">

    <resultMap id="BaseResultMap" type="com.zksy.gas.domain.GasMonitorData">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="frameType" column="frame_type" jdbcType="TINYINT"/>
            <result property="macAddress" column="mac_address" jdbcType="VARCHAR"/>
            <result property="shortAddress" column="short_address" jdbcType="VARCHAR"/>
            <result property="autoReplyOption" column="auto_reply_option" jdbcType="TINYINT"/>
            <result property="sequenceNo" column="sequence_no" jdbcType="INTEGER"/>
            <result property="command" column="command" jdbcType="TINYINT"/>
            <result property="deviceAttr" column="device_attr" jdbcType="TINYINT"/>
            <result property="protocolVersion" column="protocol_version" jdbcType="VARCHAR"/>
            <result property="alarmInfo" column="alarm_info" jdbcType="INTEGER"/>
            <result property="reportTime" column="report_time" jdbcType="TIMESTAMP"/>
            <result property="gasConcentration" column="gas_concentration" jdbcType="DECIMAL"/>
            <result property="gasType" column="gas_type" jdbcType="VARCHAR"/>
            <result property="gasUnit" column="gas_unit" jdbcType="VARCHAR"/>
            <result property="battery" column="battery" jdbcType="DECIMAL"/>
            <result property="signalStrength" column="signal_strength" jdbcType="FLOAT"/>
            <result property="temperature" column="temperature" jdbcType="FLOAT"/>
            <result property="humidity" column="humidity" jdbcType="FLOAT"/>
            <result property="longitude" column="longitude" jdbcType="DECIMAL"/>
            <result property="latitude" column="latitude" jdbcType="DECIMAL"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,frame_type,mac_address,
        short_address,auto_reply_option,sequence_no,
        command,device_attr,protocol_version,
        alarm_info,report_time,gas_concentration,
        gas_type,gas_unit,battery,signal_strength,temperature,humidity
        longitude,latitude,create_time
    </sql>
</mapper>
